function ssw_nar2votable,nardata, status=status, retstruct=retstruct, $
   original=original, debug=debug, newnarstruct=newnarstruct
;+
;    Name: ssw_nar2votable
;
;    Purpose: convert ssw 'nar' dbase vector -> VOTable
;
;    Input Parameters:
;       nardata - nar dbase vector
;
;-
common ssw_nar2votable,newnar

if not data_chk(newnar,/struct) then $
   newnar={ref_time:'',noaa_ar:'',macintosh:'',wilson:'',$
           location:'',xcen:0.,ycen:0., $
           spot_count:0, longitude:0., long_extent:0., $
           area:0}
status=0
debug=keyword_set(debug)
newnarstruct=keyword_set(newnarstruct)
original=keyword_set(original) 
retval=''
if not required_tags(nardata,'time,day,noaa,st$macintosh') then return,retval
 
nrec=n_elements(nardata)

retval=replicate(newnar,nrec)

decode_nar,nardata, ntimes,noaa_ar, location=location, macintosh=macintosh, $
   wilson=wilson, spot_count=spot_count, xcen=xcen, ycen=ycen, $
   longitude=longitude, long_extent=long_extent, area=area

retval.ref_time=ntimes
retval.noaa_ar=noaa_ar
retval.location=location
retval.macintosh=macintosh
retval.wilson=wilson
retval.longitude=longitude
retval.long_extent=long_extent
retval.spot_count=spot_count
retval.xcen=xcen
retval.ycen=ycen

case 1 of
   newnarstruct:                     ; done - just return translated struct 
   original: begin
       vobs_struct2votable,retval,'dummy.xml'
       retval=rd_tfile('dummy.xml')
   endcase 
   else: retval=vobs_struct2votable2(temporary(retval))
endcase

if debug then stop,'retval,original' 
return,retval
end
